#! /usr/bin/perl -w 

my $scan = 0;
my $i = 0;
while (<>) {
	s/# modlogan - 0.4/# modlogan - 0.5/;
	if ($scan) {
		if (/^# -e- -web- visit --$/) {
			$scan = 0;
			print $_;
		} else {
			if ($i == 2) {
			## adding the browser
				print "-\n";
				$i = -1;
			}
			print $_;
			$i++;
		}
	} elsif (/^# -b- -web- visit --$/) {
		$scan = 1;
		print $_;
	} else {
		print $_;
	}
	
}